

Requires at least 

Languages core features:
Concepts:
 GCC 10
 Clang 10
 Apple Clang (no)
 MSVC 19.30

UTF-8 strings:
 GCC 8
 Clang 7
 Apple Clang 10.0.0
 MSVC 19.22

Standard library features:
Concepts:
 

UTF-8 strings:
 GCC 9
 Clang 8 (partial so no)
 MSVC 19.22